<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../util/for_lecture.php';

require_once '../../data/data_for_mobile.php';
ini_set("session.save_handler","files");
ini_set('session.use_trans_sid', '1');
error_reporting(0);
session_start();

//Ӥؤб
$agent = $_SERVER['HTTP_USER_AGENT'];
if (ereg("^DoCoMo", $agent)){
	$sis_id=session_name()."=".session_id()."&guid=on";
} else {
	$sis_id = "";
}

if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (!isset($_POST["lecture_id"]) || !is_numeric($_POST["lecture_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
if (!isset($_POST["input_flag"]) || $_POST["input_flag"]<>1) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
if (!isset($_POST["event_link"]) || !is_numeric($_POST["event_link"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (!isset($_POST["quiz_id"]) || !is_numeric($_POST["quiz_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
$st_status = $ses_arr['status'];
$grade = $ses_arr['grade'];
$is_cube = $ses_arr['is_cube'];

$quiz_id = $_POST["quiz_id"];
$lecture_id = $_POST["lecture_id"];
$event_link = $_POST["event_link"];
$post_data = $_POST;

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//ƥȤξϡӤʬϤΤǡФ̩ˤ
	//٥ȥ󥯤ΥơʳξˤФǤʤ
	$link_cnt = 0;
	$el_object = new CEventLinkTableAccess();
	if ($el_object->setOneEventLink($data_object->conn, $event_link)) {
		if ($res = $el_object->dbFetchArr()) {
			$link_cnt++;
		}
		$el_object->dbFreeResult();
	}
	if ($link_cnt <> 1) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."usr/current_lec/index.php?lecture_id=".intval($lecture_id));
		exit;
	}

	$prac_item_object = new CPracItemTableAccess();
	$prac_kw_object = new CPracKeyWordTableAccess();
	$quiz_result_object = new CQuizResultTableAccess();
	$quiz_attempt_object = new CQuizAttemptTableAccess();
	$practice_result_object = new CPracResTableAccess();
	$total_score = 0;

	foreach ($post_data["practice_id"] as $key=>$val) {
		$ans_type = $post_data["ans_type"][$key];
		$qp_link_id = $post_data["quiz_prac_link_id"][$key];
		$score = $post_data["score"][$key];

		$answered = "";
		if (isset($post_data["answered_".$val])) $answered = $post_data["answered_".$val];
		$dep_id = $post_data["dep_id"][$key];
		if ($ans_type == 2) {
			sort($answered);
			$answered = implode(",",$answered);
		}
		$ans_is_right = 0;
//echo "aa";
		if ($ans_type == 1 || $ans_type == 2) {
			$right_ans = "";
			if ($prac_item_object->setItemPerPracticeArr(
					$data_object->conn,$val)) {
				while ($res = $prac_item_object->dbFetchArr()) {
					if ($res["is_right"] == 1) $right_ans .= $res["item_order"].",";
				}
				$prac_item_object->dbFreeResult();
			}
			$right_ans = substr($right_ans,0,-1);
			if ($right_ans == $answered) $ans_is_right = 1;
//echo "bb";
		} else {
			if ($prac_kw_object->setKeyWordPerPracticeArr(
					$data_object->conn,$val)) {
				if ($ans_type == 0) $ans_is_right = 1;
				while ($res = $prac_kw_object->dbFetchArr()) {
					if ($ans_type == 0) {
						if (!mb_ereg($res["key_word_txt"],$answered)) {
							$ans_is_right = 0;
							break;
						}
					} else {
						if (mb_ereg($res["key_word_txt"],$answered)) {
							$ans_is_right = 1;
							break;
						}
					}
				}
				$prac_kw_object->dbFreeResult();
			}
		}
//echo "cc";
		if ($ans_is_right == 1) {
			$total_score += intval($score);
		}
//echo "dd";
		//̤Ȥ
		if (!$practice_result_object->insertPracResWithoutDur(
			$data_object->conn,$st_id,$val,
				$answered,$ans_is_right,$dep_id)){
			$err_msg .= "Failed to Insert Practice Result<br/>";
			break;
		}
//echo "ee";
		//ƥȤ
		if (!$quiz_attempt_object->insertAttempt(
			$data_object->conn,$st_id,$qp_link_id,
				$event_link,$answered,$ans_is_right)) {
			$err_msg .= "Failed to Insert Attempt<br/>";
			break;
		}

	}
//echo "ff";
	if (!$quiz_result_object->insertQuizResult(
		$data_object->conn,$st_id,$quiz_id,
			$event_link,$total_score)) {
		$err_msg .= "Failed to Insert Quiz Result<br/>";
	}

	$data_object->closeDB();
}
//if ($err_msg == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/current_lec/index.php?lecture_id=".intval($lecture_id)."&".$sis_id);
	exit;
//}
//echo "<font color='red'>".$err_msg."</font>";

?>